# Class NequiAccountPayload

#### Hierarchy

- unknown
  - NequiAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5099
- Defined in src/protobuf/pb_pb.d.ts:5111

#####
Index

### Constructors

constructor

### Methods

getMobileNr
serializeBinary
setMobileNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new NequiAccountPayload(): NequiAccountPayload

- #### Returns NequiAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getMobileNr

- getMobileNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5100

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5103

### setMobileNr

- setMobileNr(value: string): NequiAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns NequiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5101

### toObject

- toObject(includeInstance?: boolean): NequiAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns NequiAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5104

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): NequiAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NequiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5107

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NequiAccountPayload, reader: BinaryReader): NequiAccountPayload

- #### Parameters

  - ##### message: NequiAccountPayload

  - ##### reader: BinaryReader

  #### Returns NequiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5108

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: NequiAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: NequiAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5106

### `Static` toObject

- toObject(includeInstance: boolean, msg: NequiAccountPayload): NequiAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NequiAccountPayload

  #### Returns NequiAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5105

Generated using TypeDoc